Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Message Class Reference

`#include <Protocol.h>`

Collaboration diagram for ACE_RMCast::Message:

[legend]
List of all members.

## Public Types
typedef Profiles::const_iterator | ProfileIterator
## Public Member Functions
| Message ()
Message_ptr | clone ()
bool | add (Profile_ptr p)
void | replace (Profile_ptr p)
void | remove (u16 id)
Profile const * | find (u16 id) const
ProfileIterator | begin () const
size_t | size () const
## Protected Member Functions
| Message (Message const &m)
## Private Types
typedef ACE_Hash_Map_Manager< u16, Profile_ptr, ACE_Null_Mutex > | Profiles
## Private Member Functions
Message & | operator= (Message const &)
## Private Attributes
Profiles | profiles_
## Friends
ostream & | operator<< (ostream &os, Message const &m)

## Member Typedef Documentation

typedef Profiles::const_iterator ACE_RMCast::Message::ProfileIterator

typedef ACE_Hash_Map_Manager<u16, Profile_ptr, ACE_Null_Mutex> ACE_RMCast::Message::Profiles`[private]`

## Constructor & Destructor Documentation

ACE_RMCast::Message::Message | ( |  | ) | `[inline]`

ACE_RMCast::Message::Message | ( | Message const & | m | ) | `[inline, protected]`

## Member Function Documentation

bool ACE_RMCast::Message::add | ( | Profile_ptr | p | ) | `[inline]`

ProfileIterator ACE_RMCast::Message::begin | ( |  | ) | const`[inline]`

Message_ptr ACE_RMCast::Message::clone | ( |  | ) | `[inline]`

Profile const* ACE_RMCast::Message::find | ( | u16 | id | ) | const`[inline]`

Message& ACE_RMCast::Message::operator= | ( | Message const & |  | ) | `[private]`

void ACE_RMCast::Message::remove | ( | u16 | id | ) | `[inline]`

void ACE_RMCast::Message::replace | ( | Profile_ptr | p | ) | `[inline]`

size_t ACE_RMCast::Message::size | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | os,
|  | Message const & | m
| ) | `[friend]`

## Member Data Documentation

Profiles ACE_RMCast::Message::profiles_`[private]`

The documentation for this class was generated from the following file:

- Protocol.h